Subject: Re: [PATCH] Fix 'git checkout <submodule>' to update the index

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Apr 2009 12:54:17 -0700

Johannes Schindelin <[email-masked]> writes:

> While 'git checkout <submodule>' should not update the submodule's
> working directory, it should update the index.  This is in line with
> how submodules are handled in the rest of Git.
>
> While at it, test 'git reset [<commit>] <submodule>', too.
>
> Signed-off-by: Johannes Schindelin <[email-masked]>
> ---
>
> 	I have no idea who thought that it would be a good idea to leave 
> 	the submodules alone, but I think it is highly counterintuitive 
> 	that
>
> 		git checkout <submodule>
>
> 	does not touch the index.

I do not see anything that treats submodule specially in the scripted
version and this check for S_ISGITLINK() has been there since the very
beginning of C rewrite 782c2d6 (Build in checkout, 2008-02-07), so it is a
regression fix that can go to maint (all the way down to 1.5.5 if you
want).

Thanks.